[application-services Rust Components](README.md)
- [Contributing](contributing.md)
  - [Building](building.md)
    - [How to use the local development autopublish flow for Fenix](howtos/locally-published-components-in-fenix.md)
    - [How to use the local development flow for Firefox iOS](howtos/locally-published-components-in-ios.md)
    - [How to locally build JNA](howtos/locally-building-jna.md)
  - [How we test Rust Components](howtos/testing-a-rust-component.md)
    - [How to integration (smoke) test application-services](howtos/smoke-testing-app-services.md)
    - [Writing efficient tests](design/test-faster.md)
  - [Dependency management](dependency-management.md)
  - [How to add a new component](howtos/adding-a-new-component.md)
    - [How to build a new syncable component](howtos/building-a-rust-component.md)
    - [Naming Conventions](naming-conventions.md)
    - [How to convert a Rust Component to Uniffi](howtos/converting-a-component-to-uniffi.md)
    - [How to know what to use when in the FFI](howtos/when-to-use-what-in-the-ffi.md)
    - [How to use Rust Components in Android](android-faqs.md)
    - [How to use Rust Components on iOS](howtos/consuming-rust-components-on-ios.md)
  - [Logging](logging.md)
- [Architectural Decision Records](adr/README.md)
  - [ADR-0000](adr/0000-use-markdown-architectural-decision-records.md)
  - [ADR-0001](adr/0001-update-logins-api.md)
  - [ADR-0002](adr/0002-database-corruption.md)
- [How to cut a new release](howtos/cut-a-new-release.md)
  - [How we distribute the application-services library](design/megazords.md)
  - [CI Publishing tools and flow](build-and-publish-pipeline.md)
  - [How to upgrade NSS](howtos/upgrading-nss-guide.md)
- [Sync overview](sync-overview.md)
- [Rust Component's Strategy](components-strategy.md)
- [Metrics - (Glean Telemetry)](metrics.md)
- [Rustdocs for components](rust-docs/fxa_client/index.html)
- [Adding to these documents](adding-docs.md)
